<?PHP
	error_reporting(0);
	/**********************************************************
	* TCEGraph - Statistics tool                              *
	* - version: 0.3                                          *  
	* - platform: PHP5 / libGD                                *  
	*                                                         *
	* (C) 2008:    tane       <tane.graf[at]web.de>           *   
	*                                                         *
	**********************************************************/
	
	$w_author	= $_POST['author'];
	$w_desc		= $_POST['desc'];
	$w_file		= $_FILES['logfile'];
	
	if (empty($w_author) || empty($w_desc) || empty($w_file['size']))
	{
		echo '<html><body>Error. <a href="javascript:history.back();">Back</a></body></html>'."\n";
		exit;
	}	
	
	$work_time	= time();
	$work_dir	= '../stats/'.$work_time;
	if (!is_dir($work_dir))
	{
		mkdir($work_dir);
		chmod($work_dir, 0777);
	}
	if (!is_dir($work_dir.'images/'))
	{
		mkdir($work_dir.'/images');
		chmod($work_dir.'/images', 0777);
	}
	$work_dir	.= "/";
	
	$shortout	= @fopen($work_dir.'author', 'w');
	fwrite($shortout, $w_author);
	fclose($shortout);
	$shortout	= @fopen($work_dir.'description', 'w');
	fwrite($shortout, $w_desc);
	fclose($shortout);

	function image_create_kd($nick)
	{
		global $g_playerdata;
		global $g_rounddata;
		global $work_time;
		global $work_dir;
		
		if (!$g_playerdata[$nick])
			return FALSE;
		$width	= 648;
		$height	= 300;	
		
		$im	= @imagecreatetruecolor($width, $height);
		$c_fg	= @imagecolorallocate($im,  13,  33,  66);
		$c_bg	= @imagecolorallocate($im, 255, 255, 255);
		$c_sb	= @imagecolorallocate($im, 219, 233, 255);	// soft blue.
		$c_sr	= @imagecolorallocate($im, 219,  0,  0);	// soft red
		$c_sv	= @imagecolorallocate($im, 223, 125, 255);	// soft violet
		$c_sy	= @imagecolorallocate($im, 255, 192, 0);	// soft yellow
		$c_sg	= @imagecolorallocate($im, 240, 240, 240);	// soft grey
		$c_dg	= @imagecolorallocate($im, 200, 200, 200);	// dark grey
		
		$outfn	= preg_replace('/[\/#]/', '_', $nick);
		$outf	= $outfn.'.'.$work_time.'.png';
		
		$space	= round(($width-24)/(count($g_rounddata)));
		$start	= 20;
		
		$p_bef	= FALSE;
		$p_kil	= 0;
		$p_det	= 0;
		$p_sco	= 0;
		
		$scale	= 10;
		
		imagefill($im, 0, 0, $c_bg);
		
		for ($c = -10; $c <= 10; $c++)
		{
			imagettftext($im, 7, 0, ($start - 15), (150 - $c*$scale + 3), $c_dg, 'arial.ttf', (abs($c) < 10 ? ' ' : '').($c < 0 ? $c : ' '.$c));
			imageline($im, $start, (150 - $c*$scale), ($width-3), (150 - $c*$scale), $c_sg);
		}
		
		for ($c = 1; $c <= count($g_rounddata); $c++)
		{
			imagefilledrectangle (  $im  , ($start + ($c-1)*$space), 260 , ($start + ($c)*$space), 280  , $c_sb  );
			imageline($im, ($start + ($c-1)*$space), 260, ($start + ($c-1)*$space), 280, $c_bg);
			imagettftext($im, 7, 0, ($start + ($c-1)*$space + 4), 275, $c_bg, 'arial.ttf', 'R'.$c);
			
			if ($g_rounddata[$c]['Specops'][$nick])
				$stats_data	= $g_rounddata[$c]['Specops'][$nick];
			else if ($g_rounddata[$c]['Terrorists'][$nick])
				$stats_data	= $g_rounddata[$c]['Terrorists'][$nick];
			else
				$stats_data	= FALSE;
				
			if ($stats_data)
			{
				if ($p_bef)
				{
					imageline($im, $p_bef, (149 - $scale*$p_kil), ($start + ($c-1)*$space + 0.5*$space), (150 - $scale*$stats_data[0]), $c_fg);
					imageline($im, $p_bef, (150 - $scale*$p_det), ($start + ($c-1)*$space + 0.5*$space), (150 - $scale*$stats_data[1]), $c_sr);
					imageline($im, $p_bef, (151 - $scale*$p_sco), ($start + ($c-1)*$space + 0.5*$space), (150 - $scale*$stats_data[9]), $c_sy);
				}
				
				$p_bef	= ($start + ($c-1)*$space + 0.5*$space);
				$p_kil	= $stats_data[0];
				$p_det	= $stats_data[1];
				$p_sco	= $stats_data[9];
				
			}
			else
			{
				$p_bef	= FALSE;
				$p_kil	= 0;
				$p_det	= 0;
				$p_sco	= 0;
			}
				
			
			
			$start++;
		}
		
		imagettftext($im, 9, 0, 4, 20, $c_fg, 'arial.ttf', "k/d stats for: $nick");
		imagettftext($im, 7, 0, 4, 40, $c_fg, 'arial.ttf', "Kills: -------");
		imagettftext($im, 7, 0, 64, 40, $c_sr, 'arial.ttf', "Deaths: -------");
		imagettftext($im, 7, 0, 134, 40, $c_sy, 'arial.ttf', "Score: -------");

		imagepng($im, $work_dir.'images/'.$outf);
		return $outf;
	
	}
	
	function player_get_name($name)
	{
		global $g_playernames;
		if (!empty($g_playernames[$name]))
		{
			return $g_playernames[$name];
		}
		else
		{
			return $name;
		}
	}
	
	
	
	
	if (!is_file($w_file['tmp_name']))
		exit;
		
	$fh		= fopen($w_file['tmp_name'],'r');
	
	
	if ($fh)
	{
		$g_rounds	= 1;
		$g_rounddata	= array();
		$g_playerdata	= array();
		$g_playernames	= array();
		$g_maps		= array();
		$g_acceptstats	= 0;
		
		while (!feof($fh))
		{
			$line	= fgets($fh, 4096);
			$line	= trim($line," \n\r\t.");
			$line	= preg_replace('/\^[\d\S]?/', '', $line);
			$round	= $g_rounds;
			
			//print $line."\n";
			
			if ($g_acceptstats && preg_match('/\[skipnotify\](Terrorists|Specops) ([.\d\S\s]+)/', $line, $matches))
			{
				$team		= $matches[1];
				$nick		= trim(substr($matches[2], 0, 18));
				$stats		= trim(substr($matches[2], 18));
				$stats		= preg_replace('/\s+/', ' ', $stats);
				$stats_data	= explode(' ', $stats);
				
				/* Stats Array                       
				*------------------------------------
				0 => kills
				1 => deaths
				2 => suicides
				3 => team kills
				4 => Eff
				5 => arms ...
				6 => damage given
				7 => damage received
				8 => team damage
				9 => Score
				*/
				
				$nick	= player_get_name($nick);
				
				$g_rounddata[$round][$team][$nick]	= $stats_data;
				
				if (!$g_playerdata[$nick])
				{
					$g_playerdata[$nick] = $stats_data;
				}
				else
				{
					for ($i = 0; $i < 10; $i++)
					{
						$g_playerdata[$nick][$i] += $stats_data[$i];
					}
				}
			}
			
			else if ($g_acceptstats && $round && preg_match('/(Terrorists|Specops) Totals ([.\s\S\d]+)$/', $line, $matches))
			{
				$team 		= $matches[1];
				$stats		= preg_replace('/\s+/', ' ', trim($matches[2]));
				$stats_data	= explode(' ', $stats);
				
				
				$g_rounddata[$round][$team]['^total']	= $stats_data;
				
				if (!$g_rounddata[$round]['Terrorists']['^planted'])
					$g_rounddata[$round]['Terrorists']['^planted']	= FALSE;
				if (!$g_rounddata[$round]['Specops']['^defused'])
					$g_rounddata[$round]['Specops']['^defused']	= FALSE;
				
				if ($team == 'Specops')
				{
					$g_rounds++;
					$g_acceptstats = 0;
				}
	
			}
				
			else if (preg_match('/^\[skipnotify\]Overall stats for:/', $line))
			{
				$g_acceptstats = 1;
			}
			else if (preg_match('/^Planted at [.\s\S\d]* \[(A|B)\]/', $line, $matches))
			{
				$g_rounddata[$round]['Terrorists']['^planted']	= $matches[1];
			}
	
			else if (preg_match('/^Defused at [.\s\S\d]* \[(A|B)\]/', $line, $matches))
			{
				$g_rounddata[$round]['Specops']['^defused']	= $matches[1];
			}
			else if (preg_match('/^\[skipnotify\]([\s\S\d.]+) renamed to ([\s\S\d.]+)$/', $line, $matches))
			{
				$nick	= player_get_name($matches[1]);
				$g_playernames[$matches[2]] = $nick;
			}
			else if (preg_match('/LOADING... maps\/obj_([\s\S\d.]+).bsp$/i', $line, $matches))
			{
				$g_maps[$g_rounds]	= $matches[1];
			}
		}	
	}
	fclose($fh);
	array_multisort($g_playerdata, SORT_DESC);
	
	
	// Creating statistics.
	
	$s_mainfile	= 'index.html';
	
	$s_mainout	= @fopen($work_dir.$s_mainfile, 'w');
	
	$s_header	= '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
<title>TCEGraph Online</title>
<meta http-equiv="pragma" content="cache" />
<meta name="author" content="Tane" />
<meta http-equiv="content-language" content="de" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Type" content="text/xml; charset=utf-8" />
<link rel="shortcut icon" href="favicon.png" />
<script type="text/javascript">
<!--
	function toggleRoundStats(i)
	{
		if (document.getElementById("round" + i).style.display == "none")
		{
			document.getElementById("round" + i).style.display = "inline";
			document.getElementById("img" + i).src = "../../maps/minus.png";
		}
		else
		{
			document.getElementById("round" + i).style.display = "none";
			document.getElementById("img" + i).src = "../../maps/plus.png";
		}
	}
// -->
</script>
<style type="text/css">
body
{
	font-size:11px;
	font-family:sans-serif;
	margin:0px;
	padding:0px;
	background-color: #ffffff;
	color:#0d2142;
	margin-left:auto;
	margin-right:auto;
}

a:link			{ font-weight:normal; color:#0d2142; text-decoration:none; }
a:visited		{ font-weight:normal; color:#0d2142; text-decoration:none; }
a:hover			{ font-weight:normal; color:#0d2142; text-decoration:underline; }
a:active		{ font-weight:normal; color:#0d2142; text-decoration:none; }
a:focus			{ font-weight:normal; color:#0d2142; text-decoration:none; }

div.main
{
	width:700px;
	margin-left:auto;
	margin-right:auto;
	margin-top:20px;
	margin-bottom:20px;
	border:1px solid #a1c7ff;
	background-color:#dbe9ff;
}
div.box
{
	margin:20px;
	border:0px;
}
div.b_head
{
	background-color:#26426b;
	padding:4px;
	color:#ffffff;
	font-weight:bold;
	border:1px solid #26426b;
}
div.b_cont
{
	padding:4px;
	background-color:#ffffff;
	border-left:1px solid #556e98;
	border-right:1px solid #556e98;
	border-bottom:1px solid #556e98;
}

table.main
{
	width:100%;
}

tr.ital	td
{
	font-style:italic;
	font-weight:bold;
	padding:3px;
	vertical-align:bottom;	
}
tr.data td
{
	padding:3px;
	background-color:#dbe9ff;
	border-bottom:1px dotted #ffffff;
}
tr.data:hover td
{
	padding:3px;
	background-color:#e9f2ff;
	border-bottom:1px dotted #ffffff;
}

td.txt
{
	text-align:left;
	background-color:#c9dfff;
}
td.nr
{
	text-align:right;
	background-color:#c9dfff;
}
td.topleft_Terrorists
{
	width:140px;
	background-color:#ff5656;
}
td.topleft_Specops
{
	width:140px;
	background-color:#ffd75e;
}
img
{
	border:0px;
}
</style>
</head>

<body>
	<div class="main">
		<div class="box">
			<div class="b_head">
				TCEGraph Online
			</div>
			<div class="b_cont">
				<a href="../../">view stats</a> &middot; <a href="../../add/">add stats</a> &middot; <a href="../../help/">help</a>
			</div>
		</div>
		<div class="box">
			<div class="b_head">
				'.date('l jS \of F Y H:i:s', $work_time).'
			</div>
			<div class="b_cont">
				<table class="main">
					<tr class="data">
						<td style="width:120px;">
							description
						</td>
						<td>
							'.$w_desc.'
						</td>
					</tr>
					<tr class="data">
						<td>
							author
						</td>
						<td>
							'.$w_author.'
						</td>
					</tr>
				</table>
			</div>
		</div>'."\n";
	
	fwrite($s_mainout, $s_header);
	
	//$out	= "\t\t".'<div class="box">'."\n\t\t\t".'<div class="b_head">'."\n\t\t\t\t".'Game Info'."\n\t\t\t".'</div>'."\n\t\t\t".'<div class="b_cont">'."\n";
	//fwrite($s_mainout, $out);
	
	// Short Player Stats
	
	$s_output	= '		<div class="box">
			<div class="b_head">
				Player overview
			</div>
			<div class="b_cont">'."\n";	
	$s_output	.= "\t\t\t\t".'<table class="main">'."\n";

	$count	= 0;
	
	foreach ($g_playerdata as $nick => $stats_data)
	{
		if (!$count)
		{
			$s_output	.= "\t\t\t\t\t".'<tr class="ital">'."\n";
			$s_output	.= "\t\t\t\t\t\t".'<td class="txt" style="width:140px;">'."\n";
			$s_output	.= "\t\t\t\t\t\t\t".'nick'."\n";
			$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
			$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
			$s_output	.= "\t\t\t\t\t\t\t".'kills'."\n";
			$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
			$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
			$s_output	.= "\t\t\t\t\t\t\t".'deaths'."\n";
			$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
			$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
			$s_output	.= "\t\t\t\t\t\t\t".'k/d'."\n";
			$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
			$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
			$s_output	.= "\t\t\t\t\t\t\t".'sui'."\n";
			$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
			$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
			$s_output	.= "\t\t\t\t\t\t\t".'TKs'."\n";
			$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
			$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
			$s_output	.= "\t\t\t\t\t\t\t".'DG'."\n";
			$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
			$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
			$s_output	.= "\t\t\t\t\t\t\t".'DR'."\n";
			$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
			$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
			$s_output	.= "\t\t\t\t\t\t\t".'DRate'."\n";
			$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
			$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
			$s_output	.= "\t\t\t\t\t\t\t".'Score'."\n";
			$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
			$s_output	.= "\t\t\t\t\t".'</tr>'."\n";
			$count		= 20;
		}
		$s_output	.= "\t\t\t\t\t".'<tr class="data">'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td>'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".'<a href="#'.$nick.'">'.$nick.'</a>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".$stats_data[0]."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".$stats_data[1]."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".($stats_data[1] ? number_format($stats_data[0]/$stats_data[1], 2, '.', '') : 'n/a')."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".$stats_data[2]."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".$stats_data[3]."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".$stats_data[6]."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".$stats_data[7]."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".number_format((($stats_data[6]-$stats_data[7])/100), 2, '.', '')."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".$stats_data[9]."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t".'</tr>'."\n";
		
		$count--;
	}
	
	$s_output	.= "\t\t\t\t".'</table>'."\n";	
	$s_output	.= "\t\t\t".'</div>'."\n";	
	$s_output	.= "\t\t".'</div>'."\n";	
	
	fwrite($s_mainout, $s_output);
	
	// For each Round.
	
	foreach ($g_rounddata as $roundnr => $rdata)
	{
		$s_output	= "";
		
		//list($r_loser, $r_winner)	= (( ($rdata['Terrorists']['^planted'] != FALSE && $rdata['Specops']['^defused'] == FALSE) xor !(($rdata['Specops']['^total'][0] + $rdata['Terrorists']['^total'][2] + $rdata['Terrorists']['^total'][3]) == (count($rdata['Terrorists'])-2))) ? array('Terrorists','Specops') : array('Specops','Terrorists'));
		if ($rdata['Terrorists']['^planted'] != FALSE && $rdata['Specops']['^defused'] == FALSE)
		{
			$r_winner = 'Terrorists'; $r_loser = 'Specops';
		}
		else if ( ($rdata['Specops']['^total'][1] + $rdata['Specops']['^total'][2] + $rdata['Specops']['^total'][3]) >= (count($rdata['Specops'])-2))
		{
			$r_winner = 'Terrorists'; $r_loser = 'Specops';
		}
		else
		{
			$r_winner = 'Specops'; $r_loser = 'Terrorists';
		}
		
		if (!empty($g_maps["$roundnr"]))
		{
			$s_output .= '		<div class="box">
			<div class="b_head">
				Map: obj_'.$g_maps["$roundnr"].'
			</div>
			<div class="b_cont" style="text-align:center;">
			<img src="../../maps/obj_'.$g_maps["$roundnr"].'.jpg" alt=""/>
			</div>
			</div>'."\n";
		}
		
		$s_output	.= '		<div class="box"><a id="r'.$roundnr.'"></a>
			<div class="b_head">
				<a href="javascript:toggleRoundStats('.$roundnr.');" style="color:#ffffff;"><img id="img'.$roundnr.'" src="../../maps/plus.png" alt=""/></a> &nbsp; Round '.$roundnr.': '.$r_winner.' win
			</div>
			<div class="b_cont">'."\n";
				
				
				
		$count	= 0;
		
		$s_output	.= "\t\t\t\t".'<table class="main">'."\n";
		$s_output	.= "\t\t\t\t\t".'<tr class="ital">'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="txt" style="width:140px;">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".'team'."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".'kills'."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".'deaths'."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".'sui'."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".'TKs'."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".'DG'."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".'DR'."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".'DRate'."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".'Score'."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t".'</tr>'."\n";
		$s_output	.= "\t\t\t\t\t".'<tr class="data">'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="txt" style="width:140px;">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".$r_winner."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".$rdata[$r_winner]['^total'][0]."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".$rdata[$r_winner]['^total'][1]."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".$rdata[$r_winner]['^total'][2]."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".$rdata[$r_winner]['^total'][3]."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".$rdata[$r_winner]['^total'][6]."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".$rdata[$r_winner]['^total'][7]."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".number_format((($rdata[$r_winner]['^total'][6]-$rdata[$r_winner]['^total'][7])/100), 2, '.', '')."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".$rdata[$r_winner]['^total'][9]."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t".'</tr>'."\n";
		$s_output	.= "\t\t\t\t\t".'<tr class="data">'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="txt" style="width:140px;">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".$r_loser."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".$rdata[$r_loser]['^total'][0]."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".$rdata[$r_loser]['^total'][1]."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".$rdata[$r_loser]['^total'][2]."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".$rdata[$r_loser]['^total'][3]."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".$rdata[$r_loser]['^total'][6]."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".$rdata[$r_loser]['^total'][7]."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".number_format((($rdata[$r_loser]['^total'][6]-$rdata[$r_loser]['^total'][7])/100), 2, '.', '')."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".$rdata[$r_loser]['^total'][9]."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t".'</tr>'."\n";
		$s_output	.= "\t\t\t\t".'</table>'."\n";
		
		$s_output	.= "\t\t\t\t".'<div id="round'.$roundnr.'" style="display:none;"/>'."\n";
		$s_output	.= "\t\t\t\t\t".'<br/>'."\n";
		foreach ($rdata[$r_winner] as $nick => $stats_data)
		{
			if (!$count)
			{
				$s_output	.= "\t\t\t\t".'<table class="main">'."\n";
				$s_output	.= "\t\t\t\t\t".'<tr class="ital">'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="topleft_'.$r_winner.'">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".'nick'."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".'kills'."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".'deaths'."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".'sui'."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".'TKs'."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".'DG'."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".'DR'."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".'DRate'."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".'Score'."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t".'</tr>'."\n";
			}
			
			if (!preg_match('/^\^/', $nick))
			{
				$s_output	.= "\t\t\t\t\t".'<tr class="data">'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td>'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".'<a href="#'.$nick.'">'.$nick.'</a>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".$stats_data[0]."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".$stats_data[1]."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".$stats_data[2]."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".$stats_data[3]."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".$stats_data[6]."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".$stats_data[7]."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".number_format((($stats_data[6]-$stats_data[7])/100), 2, '.', '')."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".$stats_data[9]."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t".'</tr>'."\n";
			}
			$count++;
		}
		$s_output	.= "\t\t\t\t".'</table>'."\n";
		$s_output	.= "\t\t\t".'<br/>'."\n";	
		
		
		
		$count	= 0;
		
		foreach ($rdata[$r_loser] as $nick => $stats_data)
		{
			if (!$count)
			{
				$s_output	.= "\t\t\t\t".'<table class="main">'."\n";
				$s_output	.= "\t\t\t\t\t".'<tr class="ital">'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="topleft_'.$r_loser.'">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".'nick'."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".'kills'."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".'deaths'."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".'sui'."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".'TKs'."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".'DG'."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".'DR'."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".'DRate'."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".'Score'."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t".'</tr>'."\n";
			}
			
			if (!preg_match('/^\^/', $nick))
			{
				$s_output	.= "\t\t\t\t\t".'<tr class="data">'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td>'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".'<a href="#'.$nick.'">'.$nick.'</a>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".$stats_data[0]."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".$stats_data[1]."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".$stats_data[2]."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".$stats_data[3]."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".$stats_data[6]."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".$stats_data[7]."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".number_format((($stats_data[6]-$stats_data[7])/100), 2, '.', '')."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
				$s_output	.= "\t\t\t\t\t\t\t".$stats_data[9]."\n";
				$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
				$s_output	.= "\t\t\t\t\t".'</tr>'."\n";
			}
			$count++;
		}
		$s_output	.= "\t\t\t\t".'</table>'."\n";		
		$s_output	.= "\t\t\t\t".'</div>'."\n";
		$s_output	.= "\t\t\t".'</div>'."\n";
		$s_output	.= "\t\t".'</div>'."\n";

		fwrite($s_mainout, $s_output);
	
	}
		
	
	// For each player
	foreach ($g_playerdata as $nick => $stats_data)
	{
		$image_path	= image_create_kd($nick);
		
		$s_output	= '		<div class="box"><a id="'.$nick.'"></a>
			<div class="b_head">
				'.$nick.' 
			</div>
			<div class="b_cont">'."\n";
			
		$s_output	.= "\t\t\t\t".'<table class="main">'."\n";
		$s_output	.= "\t\t\t\t\t".'<tr class="ital">'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".'kills'."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".'deaths'."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".'k/d'."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".'sui'."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".'TKs'."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".'DG'."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".'DR'."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".'DRate'."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".'Score'."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t".'</tr>'."\n";
		$s_output	.= "\t\t\t\t\t".'<tr class="data">'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".$stats_data[0]."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".$stats_data[1]."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".($stats_data[1] ? number_format($stats_data[0]/$stats_data[1], 2, '.', '') : 'n/a')."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".$stats_data[2]."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".$stats_data[3]."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".$stats_data[6]."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".$stats_data[7]."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".number_format(($stats_data[6]-$stats_data[7])/100, 2, '.', '')."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t\t".'<td class="nr">'."\n";
		$s_output	.= "\t\t\t\t\t\t\t".$stats_data[9]."\n";
		$s_output	.= "\t\t\t\t\t\t".'</td>'."\n";
		$s_output	.= "\t\t\t\t\t".'</tr>'."\n";
		$s_output	.= "\t\t\t\t".'</table>'."\n";	
			
		$s_output	.= "\t\t\t\t".'<img src="images/'.$image_path.'" alt=""/>'."\n";
		
		$s_output	.= "\t\t\t".'</div>'."\n";	
		$s_output	.= "\t\t".'</div>'."\n";	
		
		fwrite($s_mainout, $s_output);
		
	}
	
	$s_output	= "\t\t".'<div class="box">'."\n";
	$s_output	.= "\t\t\t".'<div class="b_head" style="font-weight:normal; font-size:9px;">'."\n";
	$s_output	.= "\t\t\t\t".'Statistics were created by TCEGraph Online | &copy; 2008 tane &lt;tane.graf[at]web.de&gt; | version 0.2'."\n";
	$s_output	.= "\t\t\t".'</div>'."\n";
	$s_output	.= "\t\t".'</div>'."\n";
	$s_output	.= "\t".'</div>'."\n";
	$s_output	.= '</body>'."\n";
	$s_output	.= '</html>'."\n";
	fwrite($s_mainout, $s_output);

	include('added.php');
?>
