<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
<title>TCEGraph Online</title>
<meta http-equiv="pragma" content="cache" />
<meta name="author" content="Tane" />
<meta http-equiv="content-language" content="de" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Type" content="text/xml; charset=utf-8" />
<link rel="shortcut icon" href="favicon.png" />
<style type="text/css">
body
{
	font-size:11px;
	font-family:sans-serif;
	margin:0px;
	padding:0px;
	background-color: #ffffff;
	color:#0d2142;
	margin-left:auto;
	margin-right:auto;
}

a:link			{ font-weight:normal; color:#0d2142; text-decoration:none; }
a:visited		{ font-weight:normal; color:#0d2142; text-decoration:none; }
a:hover			{ font-weight:normal; color:#0d2142; text-decoration:underline; }
a:active		{ font-weight:normal; color:#0d2142; text-decoration:none; }
a:focus			{ font-weight:normal; color:#0d2142; text-decoration:none; }

div.main
{
	width:700px;
	margin-left:auto;
	margin-right:auto;
	margin-top:20px;
	margin-bottom:20px;
	border:1px solid #a1c7ff;
	background-color:#dbe9ff;
}
div.box
{
	margin:20px;
	border:0px;
}
div.b_head
{
	background-color:#26426b;
	padding:4px;
	color:#ffffff;
	font-weight:bold;
	border:1px solid #26426b;
}
div.b_cont
{
	padding:4px;
	background-color:#ffffff;
	border-left:1px solid #556e98;
	border-right:1px solid #556e98;
	border-bottom:1px solid #556e98;
}

table.main
{
	width:100%;
}

tr.ital	td
{
	font-style:italic;
	font-weight:bold;
	padding:3px;
	vertical-align:bottom;	
}
tr.data td
{
	padding:3px;
	background-color:#dbe9ff;
	border-bottom:1px dotted #ffffff;
}
tr.data:hover td
{
	padding:3px;
	background-color:#e9f2ff;
	border-bottom:1px dotted #ffffff;
}

td.txt
{
	text-align:left;
	background-color:#c9dfff;
}
td.nr
{
	text-align:right;
	background-color:#c9dfff;
}
td.topleft_Terrorists
{
	width:140px;
	background-color:#ff5656;
}
td.topleft_Specops
{
	width:140px;
	background-color:#ffd75e;
}

input
{
	font-size:11px;
	font-family:sans-serif;
	padding:2px;
	color:#0d2142;
	width:200px;
	border:1px solid #0d2142;
}

input.button
{
	font-size:11px;
	font-family:sans-serif;
	padding:2px;
	color:#0d2142;
	background-color:#ffffff;
	width:50px;
	border:1px solid #0d2142;
}

</style>
</head>

<body>
	<div class="main">
		<div class="box">
			<div class="b_head">
				TCEGraph Online
			</div>
			<div class="b_cont">
				<a href="../">view stats</a> &middot; <span style="font-style:italic;">add stats</span> &middot; <a href="../help/">help</a>
			</div>
		</div>
		
		<div class="box">
			<div class="b_head">
				Add stats
			</div>
			<div class="b_cont">
				<form enctype="multipart/form-data" action="addstats.php" method="POST">
				<table class="main">
					<tr class="data">
						<td style="width:120px;">
							etconsole.log *
						</td>
						<td>
							<input type="file" name="logfile" />
						</td>
					</tr>
					<tr class="data">
						<td>
							description *
						</td>
						<td>
							<input type="text" name="desc"/> (like "FW: cR:I vs. Mave dd/mm/yyyy" or "Public OBJ blabla...")
						</td>
					</tr>
					<tr class="data">
						<td>
							author *
						</td>
						<td>
							<input type="text" name="author" />
						</td>
					</tr>
					<tr class="data">
						<td>
							...
						</td>
						<td>
							<input class="button" type="submit" name="submit" value="submit" /> <input class="button" type="reset" name="reset" value="reset" /> <input type="hidden" name="MAX_FILE_SIZE" value="30000" />
						</td>
					</tr>
				</table>
				</form>
			</div>
		</div>
		<div class="box">
			<div class="b_head" style="font-weight:normal;">
				TCEGraph Online | &copy; 2008 by tane &lt;tane.graf[at]web.de&gt; | version 0.1
			</div>
		</div>
	</div>
</body>
</html>
