<?PHP
	/**********************************************************
	* TCEGraph Online - Statistics Browser                    *
	* - version: 0.3                                          *  
	* - platform: PHP5                                        *  
	*                                                         *
	* 2009, tane    <tane.graf[at]web.de>                     *   
	*                                                         *
	**********************************************************/

	
	/* modify as needed */
	
	$items_per_page = 30;
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
<title>TCEGraph Online</title>
<meta http-equiv="pragma" content="cache" />
<meta name="author" content="Tane" />
<meta http-equiv="content-language" content="de" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Type" content="text/xml; charset=utf-8" />
<link rel="shortcut icon" href="favicon.png" />
<style type="text/css">
body
{
	font-size:11px;
	font-family:sans-serif;
	margin:0px;
	padding:0px;
	background-color: #ffffff;
	color:#0d2142;
	margin-left:auto;
	margin-right:auto;
}

a:link			{ font-weight:normal; color:#0d2142; text-decoration:none; }
a:visited		{ font-weight:normal; color:#0d2142; text-decoration:none; }
a:hover			{ font-weight:normal; color:#0d2142; text-decoration:underline; }
a:active		{ font-weight:normal; color:#0d2142; text-decoration:none; }
a:focus			{ font-weight:normal; color:#0d2142; text-decoration:none; }

div.main
{
	width:700px;
	margin-left:auto;
	margin-right:auto;
	margin-top:20px;
	margin-bottom:20px;
	border:1px solid #a1c7ff;
	background-color:#dbe9ff;
}
div.box
{
	margin:20px;
	border:0px;
}
div.b_head
{
	background-color:#26426b;
	padding:4px;
	color:#ffffff;
	font-weight:bold;
	border:1px solid #26426b;
}
div.b_cont
{
	padding:4px;
	background-color:#ffffff;
	border-left:1px solid #556e98;
	border-right:1px solid #556e98;
	border-bottom:1px solid #556e98;
}

table.main
{
	width:100%;
}

tr.ital	td
{
	font-style:italic;
	font-weight:bold;
	padding:3px;
	vertical-align:bottom;	
}
tr.data td
{
	padding:3px;
	background-color:#dbe9ff;
	border-bottom:1px dotted #ffffff;
}
tr.data:hover td
{
	padding:3px;
	background-color:#e9f2ff;
	border-bottom:1px dotted #ffffff;
}

td.txt
{
	text-align:left;
	background-color:#c9dfff;
}
td.nr
{
	text-align:right;
	background-color:#c9dfff;
}
td.topleft_Terrorists
{
	width:140px;
	background-color:#ff5656;
}
td.topleft_Specops
{
	width:140px;
	background-color:#ffd75e;
}

span.page_this
{
	font-style:italic;
	font-weight:bold;
}
</style>
</head>
	
<body>
	<div class="main">
		<div class="box">
			<div class="b_head">
				TCEGraph Online
			</div>
			<div class="b_cont">
				<a href="./">view stats</a> &middot; <a href="add/">add stats</a> &middot; <a href="help/">help</a>
			</div>
		</div>
		
		<div class="box">
			<div class="b_head">

			</div>
			<div class="b_cont">
				<table class="main">
					<tr class="ital">
						<td class="txt">description</td>
						<td class="txt">author</td>
						<td class="txt">date</td>
					</tr>					
					<?PHP
						$work_dir	= 'stats/';
						$dirhandle	= @opendir($work_dir);
						$dir_data	= array();
						while (FALSE !== ($statdir = readdir($dirhandle)))
						{
       							if (is_dir($work_dir.$statdir) && is_file($work_dir.$statdir.'/author'))
							{
								array_push($dir_data, array($statdir, file_get_contents($work_dir.$statdir.'/author'), file_get_contents($work_dir.$statdir.'/description')));
							}
						}
						closedir($dirhandle);
						
						$dir_data	= array_reverse($dir_data);
						
						$page	= (0 + $_SERVER['QUERY_STRING'] > 0 ? 0 + $_SERVER['QUERY_STRING'] - 1 : 0);
						$items	= count($dir_data);
						
						if ($items > $items_per_page)
							$dir_data = array_slice($dir_data, $page * $items_per_page, $items_per_page);
							
						foreach ($dir_data as $data)
						{
							echo '<tr class="data">'."\n";
							echo '	<td class="txt"><a href="'.$work_dir.$data[0].'/">'.$data[2].'</a></td>'."\n";
							echo '	<td class="txt">'.$data[1].'</td>'."\n";
							echo '	<td class="txt">'.date(DATE_RFC822, $data[0]).'</td>'."\n";
							echo '</td>'."\n";
						}
						
						if ($items > $items_per_page)
						{
							echo '<tr class="data">'."\n";
							echo '	<td class="txt" colspan="3">'."\n";
								for ($i = 0; $i < $items/$items_per_page; $i++)
								{
									if ($i) echo " / ";
									if ($i == $page)
										echo '<span class="page_this">'.($i + 1).'</span>'."\n";
									else
										echo '<a href="?'.($i + 1).'">'.($i + 1).'</a>'."\n";
								}
							echo '	</td>'."\n";
							echo '</tr>'."\n";
						}
					?>
				</table>
				
			</div>
		</div>
		<div class="box">
			<div class="b_head" style="font-weight:normal;">
				TCEGraph Online | 0.3
			</div>
		</div>	
	</div>
	
</body>
</html>
